const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    inputTitle:app.globalData.title,
    status:{
      checkedMap:true,
      statisticsInfo:true,
      statusLabelTest:true,
      statusLabelNum:true,
      statusLabelType:true,
      expressStatu:true,
      packageStatu:true,
      transportStatus:true,
      tempChart:true,
      onlineNum:true,
      onlineSituat:true,
      newSituat:true
    }
  },
  submit(){
    if(this.data.inputTitle){
      wx.setStorageSync('title', this.data.inputTitle);
      app.showToptip(this,'success','保存成功');
    }else{
      app.showToptip(this, "error",'首页名称不能为空');
    }
  },
  setTitle(e){
    this.setData({
      inputTitle:e.detail.value
    })
  },
  setChecked(e){
    var name = e.currentTarget.dataset.changename;
    var value = e.detail.value;
    for(var i in this.data.status){
      if(i == name){
        var type = "status."+name
        this.setData({
          [type]:value
        })
        wx.setStorageSync('status', JSON.stringify(this.data.status));
        break;
      }
    }
    // var statusLabelTestStatu = 'status.statusLabelTest';
    // var statusLabelNumStatu = 'status.statusLabelNum';
    // if(name == 'checkedMap'){
    //   if(value){
    //     this.setData({
    //       [statusLabelTestStatu]:true,
    //       [statusLabelNumStatu]:true,
    //     })
    //   }else{
    //     this.setData({
    //       [statusLabelTestStatu]:false,
    //       [statusLabelNumStatu]:false,
    //     })
    //   }
    // }
    // var {statusLabelTest,statusLabelNum} = this.data.status;
    // if(statusLabelTest && statusLabelNum){
    //   this.setData({'status.checkedMap':true})
    // }else{
    //   this.setData({'status.checkedMap':false})
    // }
    // wx.setStorageSync('status', JSON.stringify(this.data.status));
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if(wx.getStorageSync('status')){
      this.setData({
        status:JSON.parse(wx.getStorageSync('status'))
      })
    }
    if(wx.getStorageSync('title')){
      this.setData({
        inputTitle:wx.getStorageSync('title')
      })
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})